/*

Ramen Crew Stylesheet
Author: Lee Frankis
Copyright: 2025 Idearium

*/

/****************************************************************************************************/
/* Custom root styles */

@font-face {
    font-family: "Geist";
    src: url('assets/fonts/Geist-VariableFont_wght.ttf');
    font-display: swap;
}

@font-face {
    font-family: "GeistMono";
    src: url('assets/fonts/GeistMono-VariableFont_wght.ttf');
    font-display: swap;
}

:root {
    --gap: 8px;
    --gap-2x: calc(var(--gap) * 2);
    --gap-3x: calc(var(--gap) * 3);
    --gap-4x: calc(var(--gap) * 4);
    --gap-6x: calc(var(--gap) * 6);
    --gap-8x: calc(var(--gap) * 8);
    --gap-12x: calc(var(--gap) * 12);
    --white: #ffffff;
    --black: #141414;
    --grey: #292929;
}

/****************************************************************************************************/
/* Idearium default styles */

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    font-size: 16px; /* root em */
    scroll-behavior: smooth;
}

body {
    margin: 0;
    font-family: "Geist", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    line-height: 1.3;
    color: var(--black);
    letter-spacing: -4%;
}

button {
    background-color: transparent;
    border: none;
    margin: 0;
    padding: 0;
    text-align: inherit;
    font: inherit;
    border-radius: 0;
    appearance: none;
    -webkit-appearance: none;
    cursor: pointer;
}

button,
a {
    -webkit-tap-highlight-color: transparent;
}

/* hr */
hr {
    border: none;
    height: 1px;
    background: rgba(0,0,0,0.60);
}

hr.light {
    border: none;
    height: 1px;
    background: rgba(0,0,0,0.20);
}

/* flex utilities */

.flex-col {
    display: flex;
    flex-direction: column;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-ctr {
    justify-content: center;
    align-items: center;
}

.flex-start {
    align-items: flex-start;
}

.align-items-ctr {
    align-items: center;
}

.justify-ctr {
    justify-content: center;
}

.flex-right {
    margin-left: auto;
}

.fill-width {
    width: 100%;
}

.space-between {
    justify-content: space-between;
}

.push-bottom {
    margin-top: auto;
}

.push-right {
    margin-left: auto;
}

/* gap */
.gap {
    gap: var(--gap);
}

.gap-2x {
    gap: var(--gap-2x);
}

.gap-3x {
    gap: var(--gap-3x);
}

.gap-4x {
    gap: var(--gap-4x);
}

.gap-6x {
    gap: var(--gap-6x);
}

.gap-8x {
    gap: var(--gap-8x);
}

.gap-12x {
    gap: var(--gap-12x);
}

/* hide / show */
.hidden-sm {
    display: flex;
}

.visible-sm {
    display: none;
}

/* fonts */
h1, h2, h3, h4, h5, p {
    font-weight: 400;
    margin: 0;
    line-height: 1.4;
    max-width: 75ch;
}

.h1 {
    font-size: clamp(3rem, 15.7vw, 30rem);
    line-height: 0.8;
    white-space: nowrap;
    font-weight: 600;
    letter-spacing: -8%;
    text-transform: uppercase;
}

.h2 {
    font-size: clamp(3rem, 5vw, 4rem);
    line-height: 1;
    letter-spacing: -4%;
    text-transform: uppercase;
}

.h3 {
    font-size: 3rem;
    line-height: 1;
    letter-spacing: -4%;
    text-transform: uppercase;
    font-weight: 600;
}

.h4 {
    font-size: 1.5rem;
    line-height: 1;
    letter-spacing: -4%;
    text-transform: uppercase;
    font-weight: 600;
}

.p {
    font-size: 1rem;
    line-height: 1.4;
}

.small {
    font-size: 0.75rem;
}

.text-center {
    text-align: center;
}

.no-limit {
    max-width: 100%;
}

.max-25ch {
    max-width: 25ch;
}

.max-50ch {
    max-width: 50ch;
}

.faded {
    opacity: 0.6;
}

.rotate-90 {
    transform: rotate(-90deg);
}

.basic-list {
    padding-left: 20px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.basic-list a,
.unstyled-list a {
    color: inherit;
}

.unstyled-list {
    padding-left: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    list-style-type: none;
}

.mono {
    font-family: "GeistMono", sans-serif;
    text-transform: uppercase;
}

.fs20 {
    font-size: 20px;
}

.fs16 {
    font-size: 16px;
}

.fs14 {
    font-size: 14px;
}

/* images */
.img-holder {
    background-color: #f0f0f0;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.img-holder img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.aspect-ratio-16-9 {
    aspect-ratio: 16 / 9;
}

.aspect-ratio-2-1 {
    aspect-ratio: 2 / 1;
}

.aspect-ratio-4-5 {
    aspect-ratio: 4 / 5;
}

.aspect-ratio-4-3 {
    aspect-ratio: 4 / 3;
}

.aspect-ratio-1-1 {
    aspect-ratio: 1 / 1;
}

/* buttons */
.btn-primary {
    display: flex;
    padding: 8px 16px;
    justify-content: center;
    align-items: center;
    gap: 6px;
    border-radius: 100px;
    border: 1px solid var(--black);
    background-color: var(--white);
    color: var(--black);
    width: fit-content;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 600;
    white-space: nowrap;
    transition: color 0.3s ease, background-color 0.3s ease;
}

.btn-primary:hover {
    color: var(--white);
    background-color: var(--black);
}

.btn-primary.alt {
    padding: 16px 32px;
    border: 1px solid var(--white);
    background-color: transparent;
    color: var(--white);
    transition: color 0.3s ease;
    font-size: 1.5rem;
}

.btn-primary.alt:hover {
    color: var(--black);
    background-color: var(--white);
}

.btn-secondary {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
    width: fit-content;
    color: inherit;
    white-space: nowrap;
    text-decoration: underline;
    font-weight: 600;
    font-size: 1.25rem;
}

.basic-link {
    color: inherit;
    font-weight: 500;
}

.unstyled-link {
    color: inherit;
    text-decoration: none;
}

/* page */
.page-width {
    width: 100%;
    max-width: 1440px;
    padding-left: var(--padding-x);
    padding-right: var(--padding-x);
    margin: 0 auto;
}

/* hero */
.hero {
    height: 100svh;
    width: 100%;
    position: relative;
    overflow: hidden;
}

.hero .title {
    position: absolute;
    bottom: 0;
    padding: 1vw;
}

.hero .title .mono {
    padding-left: 1.2vw;
}

.hero .button {
    position: absolute;
    top: 0;
    right: 1.2vw;
    padding-top: 1.2vw;
}

.hero .image {
    display: flex;
    justify-content: center;
}

.hero .image img {
    height: 95svh;
}

.mobile-break {
    display: none;
}

/* black section */
section.black {
    background-color: var(--black);
    background-image: url('assets/images/noodle-bg.svg');
    background-size: cover;
    background-position: center calc(0% - 250px);
    background-repeat: no-repeat;
    color: var(--white);
}

/* section */
.section-padding {
    padding: 160px 16px;
}

/* headshot */
.headshot {
    width: 200px;
    align-self: flex-start;
}

/* footer */
footer {
    padding: 16px;
}



/****************************************************************************************************/
/* Custom stylesheet start */



/****************************************************************************************************/
/* media queries */

/* Large screens */
@media screen and (max-width: 1590px) {}

/* Medium screens */
@media screen and (max-width: 992px) {
    /* hero */
    .hero {
        height: 100svh;
        width: 100%;
        position: relative;
        overflow: hidden;
    }

    .hero .title {
        position: absolute;
        bottom: 0;
    }

    .hero .title .mono {
        padding-left: 2vw;
    }

    .hero .button {
        position: absolute;
        top: 0;
        right: 4vw;
        padding-top: 4vw;
    }

    .hero .image {
        position: absolute;
        bottom: 30svh;
    }

    .hero .image img {
        width: 100vw;
        height: 100%;
    }

    .mobile-break {
        display: block;
    }

    .hero .title .h1 {
        font-size: clamp(3rem, 29.6vw, 35rem);
    }

    .hero .title .h1 span {
        font-size: clamp(3rem, 34.6vw, 35rem);
    }

    /* section black */
    section.black .h2 {
        font-size: clamp(2rem, 5vw, 3rem);
    }

    .section-padding {
        padding: 100px 16px;
    }

    .gap-2x-md {
        gap: var(--gap-2x);
    }

    .gap-4x-md {
        gap: var(--gap-4x);
    }

    .gap-6x-md {
        gap: var(--gap-6x);
    }

    .flex-col-md {
        display: flex;
        flex-direction: column;
    }
}

/* Small screens */
@media screen and (max-width: 479px) {
    .headshot {
        width: 100%;
        order: 2;
    }
    .flex-col-sm {
        display: flex;
        flex-direction: column;
    }
}

/* Tiny screens */
@media screen and (max-width: 390px) {}